Daemon Power

The NetBSD Packages Collection: devel/libhid

Brief description of the package:
Abstraction layer for HID-class devices over USB/serial

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://libhid.alioth.debian.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "devel/libhid" directory. The current source version of the package is "libhid-0.2.16nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/libhid :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 libusb>=0.1.7 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 python27>=2.7.1nb2 libusb>=0.1.8nb2 libxslt>=1.1.28nb2 docbook-[0-9]* iso8879>=1986 swig>=1.3.24<2.0 swig>=1.3.31<2.0 .

This package requires the following package(s) to run: python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libusb>=0.1.7 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 python27>=2.7.1nb2 libusb>=0.1.8nb2 libxslt>=1.1.28nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:libhid-0.2.16nb1.tgz(NetBSD 7.0)
alpha:libhid-0.2.16nb1.tgz(NetBSD 7.0)
alpha:libhid-0.2.16nb1.tgz(NetBSD 7.0)
arm:libhid-0.2.16nb1.tgz(NetBSD 6.1_STABLE)
earm:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earm:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earm:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earmv6hf:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earmv6hf:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earmv6hf:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earmv7hf:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earmv7hf:libhid-0.2.16nb1.tgz(NetBSD 7.0)
earmv7hf:libhid-0.2.16nb1.tgz(NetBSD 7.99.21)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.1)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.1)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.1)
i386:libhid-0.2.16nb1.tgz(NetBSD 6.1)
i386:libhid-0.2.16nb1.tgz(NetBSD 7.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 7.0.0_PATCH)
i386:libhid-0.2.16nb1.tgz(NetBSD 7.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 7.0)
i386:libhid-0.2.16nb1.tgz(NetBSD 7.0)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 6.0)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 6.0)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 6.1)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 6.1)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 7.0)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 7.0)
powerpc:libhid-0.2.16nb1.tgz(NetBSD 7.1)
sparc64:libhid-0.2.16nb1.tgz(NetBSD 6.1_STABLE)
sparc64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
sparc64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
sparc64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
sparc64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
sparc:libhid-0.2.16nb1.tgz(NetBSD 6.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.1)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.1)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.1)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 6.1)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 7.0.0_PATCH)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 7.0)
x86_64:libhid-0.2.16nb1.tgz(NetBSD 7.0.1_PATCH)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]